//CFTTTextureWriter - [2020-04-13 11:57:46]
#ifndef _CFTTTEXTUREWRITER_H_
#define _CFTTTEXTUREWRITER_H_

#include "CFTTTexLoadOptions.h"
#include "CFTTTexture.h"

/*
0022A8B0 CFTTTextureWriter::CFTTTextureWriter(CFTTTexLoadOptions const&,int,int,bool,bool,bool)
0022A9C4 CFTTTextureWriter::~CFTTTextureWriter()
0022A9D8 CFTTTextureWriter::SetPlatformPixel(uint,int,int)
0022A9EE CFTTTextureWriter::GetU32PixelRow(int)
0022AA08 CFTTTextureWriter::Finalise()

vptr_CFTTTextureWriter_328C4C:
  CFTTTextureWriter::~CFTTTextureWriter()
  CFTTTextureWriter::~CFTTTextureWriter()
  CFTTTextureWriter::SetPlatformPixel(uint,int,int)
  CFTTTextureWriter::GetU32PixelRow(int)
  CFTTTextureWriter::Finalise()

void (*Finalise)();

8
*/

EFTTTexFormat sub_22A91C(CFTTTexLoadOptions const& pLoadOpt,
                         bool b2,
                         bool b3,
                         bool b4);

class CFTTTextureWriter {
public:
  CFTTTextureWriter(CFTTTexLoadOptions const&, int, int, bool, bool, bool);  //0022A8B0
  virtual ~CFTTTextureWriter();                                              //0022A9C4 0022A9D4
  virtual void SetPlatformPixel(uint, int, int);                             //0022A9D8
  virtual uchar* GetU32PixelRow(int);                                        //0022A9EE
  virtual CFTTTexture* Finalise();                                           //0022AA08

  CFTTTexture* pTexture_4;
};

#endif  //_CFTTTEXTUREWRITER_H_